#! /usr/bin/env python
# -*- coding: utf-8 -*-
"""
Network functionality
"""

import socket

HOST = 'localhost'
PORT = 50000
BUFSIZE = 1024


def check_server():
    """Check out whether server is reachable"""
    try:
        client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        client.connect((HOST, PORT))
        client.close()
        return True
    except socket.error:
        pass
        #print 'Could not connect to the server'


def send_data(cur_page_num, data):
    data = str((cur_page_num, data))
    try:
        client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
        client.connect((HOST, PORT))
        client.send(data)
        response = client.recv(BUFSIZE)
        client.close()
        return eval(response)
    except socket.error:
        pass
        #print 'Could not send data to the server'
